local gameStatus = "title"
local paddleX = 400

--function love.load()
	--this function is currently empty.
	--we can simply remove it if we do not need it.
--end

function love.update(dt)
	if gameStatus == "title" then updateTitle(dt) end
	if gameStatus == "ingame" then updateIngame(dt) end

end

function love.draw()
	love.graphics.print("gameStatus="..gameStatus,10,10, 0,2,2)
	if gameStatus == "title" then drawTitle(dt) end
	if gameStatus == "ingame" then drawIngame(dt) end
end

---ingame gameplay---
function updateIngame(dt)
	if love.keyboard.isDown("escape") then gameStatus = "title" end
	if love.keyboard.isDown("left") then paddleX=paddleX-(dt*100) end
	if love.keyboard.isDown("right") then paddleX=paddleX+(dt*100) end
end

function drawIngame()
	love.graphics.print("press left & right arrow keys to move <-  ->",100,400, 0,2,2)
	love.graphics.print("press ESC to return to title.",100,420, 0,2,2)
  --draw the player's paddle:
	love.graphics.rectangle("fill", paddleX-50, 500, 100, 50) 
end

---title/menu screen---
function updateTitle(dt)
	if love.keyboard.isDown("return") then gameStatus = "ingame" end
end

function drawTitle()
	love.graphics.print("PONG!",100,100, 0,5,5)
	love.graphics.print("press RETURN key to begin playing",100,200, 0,2,2)
end
